Bug 589780 - [abrt] crash in listen-0.6.5-1.fc12: equalizer.py:226:__change:KeyError: 'D\xc3\xa9sactiv\xc3\xa9'
Summary: [abrt] crash in listen-0.6.5-1.fc12: equalizer.py:226:__change:KeyError: 'D\x...
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: listen   
(Show other bugs)
Version: 12
Hardware: x86_64 Linux
low
medium
Target Milestone: ---
Assignee: Haïkel Guémar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:9620a4d7
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-06 20:58 UTC by Kevin Cousin
Modified: 2010-12-03 14:59 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 14:59:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (477 bytes, text/plain)
2010-05-06 20:58 UTC, Kevin Cousin
no flags Details

Description Kevin Cousin 2010-05-06 20:58:29 UTC
abrt 1.0.9 detected a crash.

architecture: x86_64
cmdline: python listen
comment: The equilizer in listen is crashing when I want to disable it. If you select 'disable', the presets is still loaded. I must unload it in the listen preferences.
component: listen
executable: /usr/lib64/listen/listen
kernel: 2.6.32.11-99.fc12.x86_64
package: listen-0.6.5-1.fc12
reason: equalizer.py:226:__change:KeyError: 'D\xc3\xa9sactiv\xc3\xa9'
release: Fedora release 12 (Constantine)

backtrace
-----
equalizer.py:226:__change:KeyError: 'D\xc3\xa9sactiv\xc3\xa9'

Traceback (most recent call last):
  File "/usr/lib64/listen/plugins/generic/equalizer.py", line 226, in __change
    values = COMBO_MANDATORY[text]
KeyError: 'D\xc3\xa9sactiv\xc3\xa9'

Local variables in innermost frame:
text: 'D\xc3\xa9sactiv\xc3\xa9'
self: <EqualizerDialog object at 0x7f80144969b0 (GtkDialog at 0x2cb7560)>
args: (<gtk.ComboBoxEntry object at 0x7f80343fb550 (GtkComboBoxEntry at 0x55b5490)>,)

How to reproduce
-----
1.Load a song in listen
2.Load the equalizer to a music style
3.Try to disable the equalizer

Comment 1 Kevin Cousin 2010-05-06 20:58:32 UTC
Created attachment 412170 [details]
File: backtrace

Comment 2 Bug Zapper 2010-11-03 15:28:10 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Bug Zapper 2010-12-03 14:59:54 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.